OpenNMS API 1.2.9

## org.opennms.web.notification
Class NoticeQueryParms

    java.lang.Object
      org.opennms.web.notification.NoticeQueryParms

public class NoticeQueryParms
extends java.lang.Object

Convenience data structure for holding the arguments to an notice query.

Author:
  Lawrence Karnowski , OpenNMS

Field Summary
`NoticeFactory.AcknowledgeType` `ackType`
`java.util.ArrayList` `filters`
`int` `limit`
`int` `multiple`
`NoticeFactory.SortStyle` `sortStyle`

Constructor Summary
`NoticeQueryParms()`

Method Summary
`NoticeFactory.Filter[]` `getFilters()` Convert the internal (and useful) ArrayList filters object into an array of EventFactory.Filter instances.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### sortStyle

    public NoticeFactory.SortStyle sortStyle

### ackType

    public NoticeFactory.AcknowledgeType ackType

### filters

    public java.util.ArrayList filters

### limit

    public int limit

### multiple

    public int multiple

Constructor Detail

### NoticeQueryParms

    public NoticeQueryParms()

Method Detail

### getFilters

    public NoticeFactory.Filter[] getFilters()

  Convert the internal (and useful) ArrayList filters object into an array of EventFactory.Filter instances.

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.